<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.10"
	Name="Messaging_Static"
	ProjectGUID="{D08405AA-FECA-1BAD-1FCE-AE3404339E4E}"
	SccProjectName=""
	SccLocalPath="">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="..\..\lib"
			IntermediateDirectory="Static_Debug\Messaging_Static"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="0">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..,$(TAO_ROOT)"
				PreprocessorDefinitions="ACE_AS_STATIC_LIBS;TAO_AS_STATIC_LIBS;_DEBUG;WIN32;_WINDOWS"
				MinimalRebuild="FALSE"
				ExceptionHandling="TRUE"
				BasicRuntimeChecks="3"
				RuntimeLibrary="1"
				BufferSecurityCheck="TRUE"
				EnableFunctionLevelLinking="TRUE"
				TreatWChar_tAsBuiltInType="TRUE"
				ForceConformanceInForLoopScope="TRUE"
				RuntimeTypeInfo="TRUE"
				ProgramDataBaseFileName="..\..\lib\TAO_Messagingsd.pdb"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="FALSE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="..\..\lib\TAO_Messagingsd.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..,$(TAO_ROOT)"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="..\..\lib"
			IntermediateDirectory="Static_Release\Messaging_Static"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="0">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="3"
				AdditionalIncludeDirectories="..\..,$(TAO_ROOT)"
				PreprocessorDefinitions="ACE_AS_STATIC_LIBS;TAO_AS_STATIC_LIBS;NDEBUG;WIN32;_WINDOWS"
				MinimalRebuild="FALSE"
				ExceptionHandling="TRUE"
				RuntimeLibrary="0"
				BufferSecurityCheck="TRUE"
				EnableFunctionLevelLinking="TRUE"
				TreatWChar_tAsBuiltInType="TRUE"
				ForceConformanceInForLoopScope="TRUE"
				RuntimeTypeInfo="TRUE"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="FALSE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="..\..\lib\TAO_Messagings.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..,$(TAO_ROOT)"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
	</Configurations>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;cxx;cc;C;c">
			<File
				RelativePath="Messaging\AMH_Response_Handler.cpp">
			</File>
			<File
				RelativePath="Messaging\Asynch_Invocation.cpp">
			</File>
			<File
				RelativePath="Messaging\Asynch_Invocation_Adapter.cpp">
			</File>
			<File
				RelativePath="Messaging\Asynch_Reply_Dispatcher.cpp">
			</File>
			<File
				RelativePath="Messaging\Asynch_Timeout_Handler.cpp">
			</File>
			<File
				RelativePath="Messaging\Connection_Timeout_Policy_i.cpp">
			</File>
			<File
				RelativePath="Messaging\ExceptionHolder_i.cpp">
			</File>
			<File
				RelativePath="Messaging\ExceptionHolderA.cpp">
			</File>
			<File
				RelativePath="Messaging\ExceptionHolderC.cpp">
			</File>
			<File
				RelativePath="Messaging\Messaging.cpp">
			</File>
			<File
				RelativePath="Messaging\Messaging_Loader.cpp">
			</File>
			<File
				RelativePath="Messaging\Messaging_No_ImplA.cpp">
			</File>
			<File
				RelativePath="Messaging\Messaging_No_ImplC.cpp">
			</File>
			<File
				RelativePath="Messaging\Messaging_ORBInitializer.cpp">
			</File>
			<File
				RelativePath="Messaging\Messaging_Policy_i.cpp">
			</File>
			<File
				RelativePath="Messaging\Messaging_PolicyFactory.cpp">
			</File>
			<File
				RelativePath="Messaging\Messaging_RT_PolicyA.cpp">
			</File>
			<File
				RelativePath="Messaging\Messaging_RT_PolicyC.cpp">
			</File>
			<File
				RelativePath="Messaging\Messaging_SyncScope_PolicyA.cpp">
			</File>
			<File
				RelativePath="Messaging\Messaging_SyncScope_PolicyC.cpp">
			</File>
			<File
				RelativePath="Messaging\MessagingA.cpp">
			</File>
			<File
				RelativePath="Messaging\MessagingC.cpp">
			</File>
			<File
				RelativePath="Messaging\MessagingS.cpp">
			</File>
			<File
				RelativePath="Messaging\OldExceptionHolderA.cpp">
			</File>
			<File
				RelativePath="Messaging\OldExceptionHolderC.cpp">
			</File>
			<File
				RelativePath="Messaging\PollableC.cpp">
			</File>
			<File
				RelativePath="Messaging\TAO_ExtA.cpp">
			</File>
			<File
				RelativePath="Messaging\TAO_ExtC.cpp">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hh">
			<File
				RelativePath="Messaging\AMH_Response_Handler.h">
			</File>
			<File
				RelativePath="Messaging\Asynch_Invocation.h">
			</File>
			<File
				RelativePath="Messaging\Asynch_Invocation_Adapter.h">
			</File>
			<File
				RelativePath="Messaging\Asynch_Reply_Dispatcher.h">
			</File>
			<File
				RelativePath="Messaging\Asynch_Timeout_Handler.h">
			</File>
			<File
				RelativePath="Messaging\Connection_Timeout_Policy_i.h">
			</File>
			<File
				RelativePath="Messaging\ExceptionHolder_i.h">
			</File>
			<File
				RelativePath="Messaging\ExceptionHolderA.h">
			</File>
			<File
				RelativePath="Messaging\ExceptionHolderC.h">
			</File>
			<File
				RelativePath="Messaging\ExceptionHolderS.h">
			</File>
			<File
				RelativePath="Messaging\Messaging.h">
			</File>
			<File
				RelativePath="Messaging\messaging_export.h">
			</File>
			<File
				RelativePath="Messaging\Messaging_Loader.h">
			</File>
			<File
				RelativePath="Messaging\Messaging_No_ImplA.h">
			</File>
			<File
				RelativePath="Messaging\Messaging_No_ImplC.h">
			</File>
			<File
				RelativePath="Messaging\Messaging_ORBInitializer.h">
			</File>
			<File
				RelativePath="Messaging\Messaging_Policy_i.h">
			</File>
			<File
				RelativePath="Messaging\Messaging_PolicyFactory.h">
			</File>
			<File
				RelativePath="Messaging\Messaging_RT_PolicyA.h">
			</File>
			<File
				RelativePath="Messaging\Messaging_RT_PolicyC.h">
			</File>
			<File
				RelativePath="Messaging\Messaging_SyncScope_PolicyA.h">
			</File>
			<File
				RelativePath="Messaging\Messaging_SyncScope_PolicyC.h">
			</File>
			<File
				RelativePath="Messaging\MessagingA.h">
			</File>
			<File
				RelativePath="Messaging\MessagingC.h">
			</File>
			<File
				RelativePath="Messaging\MessagingS.h">
			</File>
			<File
				RelativePath="Messaging\MessagingS_T.h">
			</File>
			<File
				RelativePath="Messaging\OldExceptionHolderA.h">
			</File>
			<File
				RelativePath="Messaging\OldExceptionHolderC.h">
			</File>
			<File
				RelativePath="Messaging\OldExceptionHolderS.h">
			</File>
			<File
				RelativePath="Messaging\PollableC.h">
			</File>
			<File
				RelativePath="Messaging\PollableS.h">
			</File>
			<File
				RelativePath="Messaging\TAO_ExtA.h">
			</File>
			<File
				RelativePath="Messaging\TAO_ExtC.h">
			</File>
		</Filter>
		<Filter
			Name="Pkgconfig Files"
			Filter="in">
			<File
				RelativePath="Messaging\TAO_Messaging.pc.in">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Pidl Files"
			Filter="pidl">
			<File
				RelativePath="Messaging\ExceptionHolder.pidl">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Messaging\Messaging.pidl">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Messaging\Messaging_No_Impl.pidl">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Messaging\Messaging_RT_Policy.pidl">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Messaging\Messaging_SyncScope_Policy.pidl">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Messaging\OldExceptionHolder.pidl">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Messaging\Pollable.pidl">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Messaging\TAO_Ext.pidl">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Inline Files"
			Filter="i;inl">
			<File
				RelativePath="Messaging\ExceptionHolderC.inl">
			</File>
			<File
				RelativePath="Messaging\Messaging_Policy_i.i">
			</File>
			<File
				RelativePath="Messaging\MessagingC.inl">
			</File>
			<File
				RelativePath="Messaging\MessagingS_T.inl">
			</File>
			<File
				RelativePath="Messaging\OldExceptionHolderC.inl">
			</File>
		</Filter>
		<Filter
			Name="Template Files"
			Filter="">
			<File
				RelativePath="Messaging\MessagingS_T.cpp">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Documentation"
			Filter="">
			<File
				RelativePath="PP_Memory_Management.txt">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCustomBuildTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCustomBuildTool"/>
				</FileConfiguration>
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
